=== modified file 'drizzled/db.cc'
--- drizzled/db.cc	2009-12-21 06:29:10 +0000
+++ drizzled/db.cc	2009-12-21 08:16:13 +0000
@@ -35,6 +35,8 @@
 #include <drizzled/message/schema.pb.h>
 #include "drizzled/sql_table.h"
 #include "drizzled/plugin/info_schema_table.h"
+#include "drizzled/global_charset_info.h"
+
 
 using namespace std;
 using namespace drizzled;

=== modified file 'drizzled/field/blob.h'
--- drizzled/field/blob.h	2009-12-04 00:50:46 +0000
+++ drizzled/field/blob.h	2009-12-21 08:16:13 +0000
@@ -23,6 +23,8 @@
 
 #include <drizzled/field/str.h>
 
+#include "drizzled/global_charset_info.h"
+
 #include <string>
 
 /**

=== modified file 'drizzled/function/str/user.h'
--- drizzled/function/str/user.h	2009-05-15 20:46:39 +0000
+++ drizzled/function/str/user.h	2009-12-21 08:16:13 +0000
@@ -21,6 +21,8 @@
 #define DRIZZLED_FUNCTION_STR_USER_H
 
 #include <drizzled/function/str/strfunc.h>
+#include "drizzled/global_charset_info.h"
+
 
 class Item_func_user :public Item_str_func
 {

=== modified file 'drizzled/handler_structs.h'
--- drizzled/handler_structs.h	2009-11-20 22:34:27 +0000
+++ drizzled/handler_structs.h	2009-12-21 08:16:13 +0000
@@ -20,13 +20,23 @@
 #ifndef DRIZZLED_HANDLER_STRUCTS_H
 #define DRIZZLED_HANDLER_STRUCTS_H
 
-#include <stdint.h>
-#include <time.h>
+#if TIME_WITH_SYS_TIME
+# include <sys/time.h>
+# include <time.h>
+#else
+# if HAVE_SYS_TIME_H
+#  include <sys/time.h>
+# else
+#  include <time.h>
+# endif
+#endif
 
 #include <drizzled/base.h>
 #include <drizzled/structs.h>
 #include <drizzled/definitions.h>
 #include <drizzled/lex_string.h>
+#include "drizzled/global_charset_info.h"
+
 
 class Ha_trx_info;
 struct st_key;

=== modified file 'drizzled/plugin/storage_engine.cc'
--- drizzled/plugin/storage_engine.cc	2009-12-21 07:28:55 +0000
+++ drizzled/plugin/storage_engine.cc	2009-12-21 08:16:13 +0000
@@ -47,6 +47,8 @@
 #include "drizzled/errmsg_print.h"
 #include "drizzled/xid.h"
 #include "drizzled/sql_table.h"
+#include "drizzled/global_charset_info.h"
+
 
 #include <drizzled/table_proto.h>
 

=== modified file 'drizzled/server_includes.h'
--- drizzled/server_includes.h	2009-12-21 08:03:25 +0000
+++ drizzled/server_includes.h	2009-12-21 08:16:13 +0000
@@ -36,8 +36,6 @@
 /* Routines for printing error messages */
 #include <drizzled/errmsg_print.h>
 
-#include "drizzled/global_charset_info.h"
-
 
 namespace drizzled { namespace plugin { class StorageEngine; } }
 class Table;

=== modified file 'drizzled/show.cc'
--- drizzled/show.cc	2009-12-21 07:28:55 +0000
+++ drizzled/show.cc	2009-12-21 08:16:13 +0000
@@ -46,6 +46,8 @@
 #include <drizzled/plugin/client.h>
 #include <mysys/cached_directory.h>
 #include "drizzled/sql_table.h"
+#include "drizzled/global_charset_info.h"
+
 #include <sys/stat.h>
 
 #include <string>

=== modified file 'drizzled/sql_base.cc'
--- drizzled/sql_base.cc	2009-12-21 07:28:55 +0000
+++ drizzled/sql_base.cc	2009-12-21 08:16:13 +0000
@@ -48,6 +48,8 @@
 #include <drizzled/field/null.h>
 #include "drizzled/memory/multi_malloc.h"
 #include "drizzled/sql_table.h"
+#include "drizzled/global_charset_info.h"
+
 
 using namespace std;
 using namespace drizzled;

=== modified file 'drizzled/sql_parse.cc'
--- drizzled/sql_parse.cc	2009-12-21 06:10:11 +0000
+++ drizzled/sql_parse.cc	2009-12-21 08:16:13 +0000
@@ -38,6 +38,8 @@
 #include <drizzled/statement/alter_table.h>
 #include "drizzled/probes.h"
 #include "drizzled/session_list.h"
+#include "drizzled/global_charset_info.h"
+
 
 #include "drizzled/plugin/logging.h"
 #include "drizzled/plugin/info_schema_table.h"

=== modified file 'drizzled/sql_table.cc'
--- drizzled/sql_table.cc	2009-12-21 07:42:09 +0000
+++ drizzled/sql_table.cc	2009-12-21 08:16:13 +0000
@@ -37,6 +37,8 @@
 #include <drizzled/plugin/client.h>
 #include <drizzled/table_identifier.h>
 #include "mystrings/m_string.h"
+#include "drizzled/global_charset_info.h"
+
 
 #include "drizzled/statement/alter_table.h"
 #include "drizzled/plugin/info_schema_table.h"

=== modified file 'drizzled/sql_yacc.yy'
--- drizzled/sql_yacc.yy	2009-12-21 03:44:51 +0000
+++ drizzled/sql_yacc.yy	2009-12-21 08:16:13 +0000
@@ -131,6 +131,8 @@
 #include <drizzled/statement/unlock_tables.h>
 #include <drizzled/statement/update.h>
 #include <drizzled/db.h>
+#include "drizzled/global_charset_info.h"
+
 
 using namespace drizzled;
 

=== modified file 'drizzled/statement/alter_table.cc'
--- drizzled/statement/alter_table.cc	2009-12-21 06:10:11 +0000
+++ drizzled/statement/alter_table.cc	2009-12-21 08:16:13 +0000
@@ -28,6 +28,8 @@
 #include "drizzled/lock.h"
 #include "drizzled/session.h"
 #include "drizzled/statement/alter_table.h"
+#include "drizzled/global_charset_info.h"
+
 
 #include "drizzled/gettext.h"
 #include "drizzled/data_home.h"

=== modified file 'drizzled/table_proto_write.cc'
--- drizzled/table_proto_write.cc	2009-12-21 03:44:51 +0000
+++ drizzled/table_proto_write.cc	2009-12-21 08:16:13 +0000
@@ -18,6 +18,8 @@
 #include <drizzled/session.h>
 #include <drizzled/unireg.h>
 #include "drizzled/sql_table.h"
+#include "drizzled/global_charset_info.h"
+
 
 /* For proto */
 #include <string>

=== modified file 'plugin/blackhole/ha_blackhole.cc'
--- plugin/blackhole/ha_blackhole.cc	2009-12-21 03:44:51 +0000
+++ plugin/blackhole/ha_blackhole.cc	2009-12-21 08:16:13 +0000
@@ -29,6 +29,8 @@
 #include "mystrings/m_string.h"
 #include <google/protobuf/io/zero_copy_stream.h>
 #include <google/protobuf/io/zero_copy_stream_impl.h>
+#include "drizzled/global_charset_info.h"
+
 
 using namespace std;
 using namespace google;

=== modified file 'plugin/info_schema/collation.cc'
--- plugin/info_schema/collation.cc	2009-11-26 03:47:13 +0000
+++ plugin/info_schema/collation.cc	2009-12-21 08:16:13 +0000
@@ -26,6 +26,8 @@
 #include "drizzled/server_includes.h"
 #include "drizzled/session.h"
 #include "drizzled/show.h"
+#include "drizzled/global_charset_info.h"
+
 
 #include "helper_methods.h"
 #include "collation.h"

=== modified file 'plugin/info_schema/collation_char_set.cc'
--- plugin/info_schema/collation_char_set.cc	2009-11-26 03:47:13 +0000
+++ plugin/info_schema/collation_char_set.cc	2009-12-21 08:16:13 +0000
@@ -26,6 +26,8 @@
 #include "drizzled/server_includes.h"
 #include "drizzled/session.h"
 #include "drizzled/show.h"
+#include "drizzled/global_charset_info.h"
+
 
 #include "helper_methods.h"
 #include "collation_char_set.h"

=== modified file 'plugin/info_schema/columns.cc'
--- plugin/info_schema/columns.cc	2009-11-29 05:53:07 +0000
+++ plugin/info_schema/columns.cc	2009-12-21 08:16:13 +0000
@@ -26,6 +26,8 @@
 #include "drizzled/server_includes.h"
 #include "drizzled/session.h"
 #include "drizzled/show.h"
+#include "drizzled/global_charset_info.h"
+
 
 #include "helper_methods.h"
 #include "columns.h"

=== modified file 'plugin/info_schema/helper_methods.cc'
--- plugin/info_schema/helper_methods.cc	2009-12-21 06:10:11 +0000
+++ plugin/info_schema/helper_methods.cc	2009-12-21 08:16:13 +0000
@@ -29,6 +29,8 @@
 #include "drizzled/sql_base.h"
 #include "drizzled/plugin/client.h"
 #include "drizzled/join_table.h"
+#include "drizzled/global_charset_info.h"
+
 
 #include "helper_methods.h"
 

=== modified file 'plugin/info_schema/key_column_usage.cc'
--- plugin/info_schema/key_column_usage.cc	2009-11-26 04:33:51 +0000
+++ plugin/info_schema/key_column_usage.cc	2009-12-21 08:16:13 +0000
@@ -26,6 +26,8 @@
 #include "drizzled/server_includes.h"
 #include "drizzled/session.h"
 #include "drizzled/show.h"
+#include "drizzled/global_charset_info.h"
+
 
 #include "helper_methods.h"
 #include "key_column_usage.h"

=== modified file 'plugin/info_schema/modules.cc'
--- plugin/info_schema/modules.cc	2009-12-01 17:47:52 +0000
+++ plugin/info_schema/modules.cc	2009-12-21 08:16:13 +0000
@@ -30,6 +30,8 @@
 #include "drizzled/session.h"
 #include "drizzled/show.h"
 #include "drizzled/plugin/library.h"
+#include "drizzled/global_charset_info.h"
+
 
 #include "helper_methods.h"
 #include "modules.h"

=== modified file 'plugin/info_schema/open_tables.cc'
--- plugin/info_schema/open_tables.cc	2009-11-26 03:47:13 +0000
+++ plugin/info_schema/open_tables.cc	2009-12-21 08:16:13 +0000
@@ -26,6 +26,8 @@
 #include "drizzled/server_includes.h"
 #include "drizzled/session.h"
 #include "drizzled/show.h"
+#include "drizzled/global_charset_info.h"
+
 
 #include "helper_methods.h"
 #include "open_tables.h"

=== modified file 'plugin/info_schema/statistics.cc'
--- plugin/info_schema/statistics.cc	2009-12-03 04:18:00 +0000
+++ plugin/info_schema/statistics.cc	2009-12-21 08:16:13 +0000
@@ -27,6 +27,8 @@
 #include "drizzled/session.h"
 #include "drizzled/show.h"
 #include "drizzled/tztime.h"
+#include "drizzled/global_charset_info.h"
+
 
 #include "helper_methods.h"
 #include "statistics.h"

=== modified file 'plugin/info_schema/table_constraints.cc'
--- plugin/info_schema/table_constraints.cc	2009-12-21 03:44:51 +0000
+++ plugin/info_schema/table_constraints.cc	2009-12-21 08:16:13 +0000
@@ -27,6 +27,8 @@
 #include "drizzled/session.h"
 #include "drizzled/show.h"
 #include "drizzled/sql_table.h"
+#include "drizzled/global_charset_info.h"
+
 
 #include "helper_methods.h"
 #include "table_constraints.h"

=== modified file 'plugin/innobase/handler/i_s.cc'
--- plugin/innobase/handler/i_s.cc	2009-11-26 04:33:51 +0000
+++ plugin/innobase/handler/i_s.cc	2009-12-21 08:16:13 +0000
@@ -33,6 +33,8 @@
 #include <drizzled/field.h>
 #include <drizzled/table.h>
 #include <drizzled/plugin/info_schema_table.h>
+#include "drizzled/global_charset_info.h"
+
 
 #include "i_s.h"
 

